[gnome-chess] Remove our own copy of the style checker.



commit 77edcf77419a45de368e09d1001251ac068143f1
Author: Michael Catanzaro <mcatanzaro gnome org>
Date:   Thu May 21 20:20:15 2015 -0500

    Remove our own copy of the style checker.
    
    This now lives in libgames-support.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749708

 autogen.sh         |   24 +++++----
 scripts/pre-commit |  139 ----------------------------------------------------
 2 files changed, 13 insertions(+), 150 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 7d6633b..7038c2c 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,17 +1,19 @@
 #!/bin/sh
-# Run this to generate all the initial makefiles, etc.
+srcdir=`dirname $0`
+[ -z "$srcdir" ] && srcdir=.
+
+if [ ! -f "$srcdir/configure.ac" ]; then
+       echo "$srcdir doesn't look like source directory for GNOME Chess" >&2
+       exit 1
+fi
 
 which gnome-autogen.sh || {
-    echo "You need to install gnome-common from GNOME git (or from"
-    echo "your OS vendor's package manager)."
-    exit 1
+       echo "You need to install gnome-common from GNOME Git"
+       exit 1
 }
 
-REQUIRED_YELP_TOOLS_VERSION=3.1.1
-REQUIRED_GETTEXT_VERSION=0.12
-REQUIRED_INTLTOOL_VERSION=0.40.4
-
-cp ./scripts/pre-commit ./.git/hooks/
-chmod +x ./.git/hooks/pre-commit
+if [ -d .git ] && [ ! -e .git/hooks/pre-commit ]; then
+       ln -s ../libgames-support/style-checker .git/hooks/pre-commit && echo "Enabled pre-commit style 
checker." || :
+fi
 
-. gnome-autogen.sh
+. gnome-autogen.sh "$@"


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]